package com.ss.android.ugc.aweme.legoImp.task;

import X.0JP;
import X.7xA;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9Ft;
import X.9Fx;
import X.9Zw;
import X.To9;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;

public class PerformanceHelperTask implements 8Ze {
    static {
        Covode.recordClassIndex(90552);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public 8ec type() {
        if (!((Boolean) To9.LIZ.getValue()).booleanValue() || 7xA.LIZIZ().booleanValue()) {
            return 8ec.BACKGROUND;
        }
        return 8ec.BOOT_FINISH;
    }

    public void run(Context context) {
        9Zw.LIZ(context);
        0JP.LIZ = 9Zw.LIZ();
    }
}
